import request from '@/utils/request'

// 查询标签管理列表
export function listLabel(query) {
  return request({
    url: '/management/label/list',
    method: 'get',
    params: query
  })
}

// 查询标签管理列表
export function selectLabel(type) {
    return request({
      url: '/management/label/list/'+type,
      method: 'get'
    })
  }

// 查询标签管理详细
export function getLabel(labelId) {
  return request({
    url: '/management/label/' + labelId,
    method: 'get'
  })
}

// 新增标签管理
export function addLabel(data) {
  return request({
    url: '/management/label',
    method: 'post',
    data: data
  })
}

// 修改标签管理
export function updateLabel(data) {
  return request({
    url: '/management/label',
    method: 'put',
    data: data
  })
}

// 删除标签管理
export function delLabel(labelId) {
  return request({
    url: '/management/label/' + labelId,
    method: 'delete'
  })
}

// 导出标签管理
export function exportLabel(query) {
  return request({
    url: '/management/label/export',
    method: 'get',
    params: query
  })
}